incubator-callback-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Filip Maj (Resolved) (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (CB-269) cordova-js requires too many globally installed node packages to do anything
Date Wed, 22 Feb 2012 19:05:48 GMT

     [ https://issues.apache.org/jira/browse/CB-269?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Filip Maj resolved CB-269.
--------------------------

       Resolution: Fixed
    Fix Version/s: 1.5.0

Fixed in [aeffdf3|http://git-wip-us.apache.org/repos/asf?p=incubator-cordova-js.git;a=commit;h=aeffdf3a12ee2b0b2a19301dbfd6f794f7834473]
                
> cordova-js requires too many globally installed node packages to do anything
> ----------------------------------------------------------------------------
>
>                 Key: CB-269
>                 URL: https://issues.apache.org/jira/browse/CB-269
>             Project: Apache Callback
>          Issue Type: Bug
>          Components: CordovaJS
>            Reporter: Patrick Mueller
>            Assignee: Filip Maj
>             Fix For: 1.5.0
>
>
> Just noticed that {{jake test}} fails if you don't have the npm package {{jsdom}} globally
installed.
> I know there are more of these lurking.  We shouldn't have *ANY* requirements for globally
installed packages.
> Instead, we should reference all the packages we need in the {{package.json}} dependencies
(or maybe devDependencies) value, and then we can "auto-install" them by just running "{{npm
install}}".

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message